Skip to main content

Get collection

GET 

/v2/webhooks/:webhookId/dispatches

Gets a given webhook's list of dispatches.

Request

Path Parameters

    webhookId string required

    Webhook ID.


    Example: pVJtoTelgYUq4qJOt

Query Parameters

    offset double

    Number of items that should be skipped at the start. The default value is 0.


    Example: 0
    limit double

    Maximum number of items to return. The default value as well as the maximum is 1000.


    Example: 1000
    desc boolean

    If true or 1 then the objects are sorted by the createdAt field in descending order. By default, they are sorted in ascending order.


    Example: true

Status 200

Response Headers
  • X-Apify-Pagination-Offset

    The offset of the first item in the current page.

  • X-Apify-Pagination-Limit

    The maximum number of items returned per page.

  • X-Apify-Pagination-Count

    The number of items returned in the current page.

  • X-Apify-Pagination-Total

    The total number of items available.

  • X-Apify-Pagination-Desc

    Whether the items are sorted in descending order.

{
"data": {
"total": 1,
"offset": 0,
"limit": 1000,
"desc": false,
"count": 1,
"items": [
{
"id": "asdLZtadYvn4mBZmm",
"userId": "wRsJZtadYvn4mBZmm",
"webhookId": "asdLZtadYvn4mBZmm",
"createdAt": "2019-12-12T07:34:14.202Z",
"status": "ACTIVE",
"eventType": "ACTOR.BUILD.ABORTED",
"eventData": "Unknown Type: object,null",
"webhook": {
"actionType": "HTTP_REQUEST",
"condition": {
"actorId": "hksJZtadYvn4mBuin",
"actorTaskId": "asdLZtadYvn4mBZmm",
"actorRunId": "hgdKZtadYvn4mBpoi"
},
"requestUrl": "https://example.com/webhook",
"isAdHoc": false
},
"calls": [
{
"startedAt": "2019-12-12T07:34:14.202Z",
"finishedAt": "2019-12-12T07:34:14.202Z",
"errorMessage": "Cannot send request",
"responseStatus": 200,
"responseBody": "{\"foo\": \"bar\"}"
}
]
}
]
}
}